
protocol PostListPageGeneratorSource {

    var language: ContentLanguage { get }

    var content: Content { get }

    var results: PageGenerationResults { get }

    var showTitle: Bool { get }

    var pageTitle: String { get }

    var pageDescription: String { get }

    func pageUrlPrefix(for language: ContentLanguage) -> String

    var postsPerPage: Int { get }
}
